//+------------------------------------------------------------------+
//|                                               Close_All_Pair.mq4 |
//|                                Copyright  2008, David E. Fulton |
//|                                    http://www.defulton.com/forex |
//+------------------------------------------------------------------+

#property copyright "Copyright  2008, David E. Fulton"
#property link      "http://www.defulton.com/forex"
#property show_inputs   //shows the Properties dialog box to the user
#include <stdlib.mqh>

extern string INFO="Close_All_Pair V1.0";
extern string OWN="Copyright  2008, David E. Fulton";
extern string title="--PAIR TO CLOSE--";
extern string pair="";

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//----
   int total_trades=OrdersTotal();
   for (int i=0; i<5; i++)
      {
         for(int j=0;j<total_trades;j++)
            {
               OrderSelect(j,SELECT_BY_POS,MODE_TRADES);
               int order_type=OrderType();
               int order_ticket=OrderTicket();
               double order_volume=OrderLots();
               string order_symbol=OrderSymbol();
                                   
               //close long gbpusd orders
               if ((order_symbol==pair) && (order_type==OP_BUY))
                  OrderClose(order_ticket,order_volume,MarketInfo(order_symbol,MODE_BID),3,CLR_NONE);
         
               //close short gbpusd orders
               if ((order_symbol==pair) && (order_type==OP_SELL))
                  OrderClose(order_ticket,order_volume,MarketInfo(order_symbol,MODE_ASK),3,CLR_NONE);
      
            }
      }
//----
   return(0);
  }
//+------------------------------------------------------------------+